A = range(1,11)                                     # 집합 A의 정의 및 초기화
B = list(map(chr, range(ord('a'), ord('h')+1)))     # 집합 B의 정의 및 초기화

# setout 함수가 집합을 출력
def setout(A):
    if len(A) == 0:
        print("\u2205")
        return
    print("{ ", end = "")
    for i in range(0,len(A)):
        if(i < len(A) - 1):
            print(A[i], ", ",  end = "", sep = "")
    print(A[i], "}\n")

# 집합 A를 출력  
print("A = ", end = "")
setout(A)

# 집합 B를 출력
print("B = ", end = "")
setout(B)

# A와 B의 곱집합 출력
print("\nA \u2a2f B = { ", end = "")
for i in A:
    for j in B:
        print("(%d, %c), " %(i,j), end = " ")
print("\b\b }\n")  
